<?php

namespace App\Auth\UseCases\Logout;

use App\Auth\SessionRepository;

class Logout
{
    public function __construct(
        private SessionRepository $sessionRepo,
    ) {}

    public function execute(string $token): void
    {
        $this->sessionRepo->deleteByToken($token);
    }
}
